EPAN Extraction API
Introduction
E-PAN card is a digitally authenticated PAN Card implemented in e-format by Income Tax Department using Aadhar e-KYC. According to the Income Tax Department, the E-PAN service is only applicable to those applicants whose new PAN Card request has been submitted to proceed via NSDL, UTIITSL or Income Tax Department's e-filling website. E-PAN is only available to Indian Citizens and no NRI's can are applicable for the same. E pan card is relevant to original or physical PAN Card.
How to call the API
Before going for Auto reading, you first need to create an Identity object.
Here you have to pass direct url to the zip,xml or pdf file of E-PAN. With zip file or pdf you have to pass the password in the request body. In case of XML file password is not required.
API Input Guidelines
The file can either be a PDF,XML or a zip file.
Step 1: Hit Identities API
Sample cURL
curl --location --request POST
'<https://preproduction.signzy.tech/api/v2/patrons/<Patron> ID>/identities' \
--header 'Connection: keep-alive' \
--header 'Authorization: <Auth Key>' \
--header 'Content-Type: application/json' \
--header 'Accept-Language: en-GB,en-US;q=0.9,en;q=0.8' \
--data-raw '{
"type": "bussinessPan",
"email": "<email Id>",
"callbackUrl": "<https://www.w3schools.com",>
"essentials": {<Images Url>}
}'Input Parameters
Parameter Name | Required/Optional | Description |
|---|---|---|
Authorization | Required | Contains the id parameter returned from the login step |
Content-Type | Required | application/json |
type | Required | Type of identity |
Required | e-mail ID | |
callbackurl | Required | URL where response will be posted |
images | Required | URL of the PAN |
Sample Response
{
"type": "aadhaar",
"email": "..email..
"callbackUrl": "<https://www.w3schools.com",>
"images": [
"<https://<Front> side image URL>",
"<https://<Back> side image URL>"
],
"accessToken": "..accessToken..",
"autoRecognition": [],
"verification": [],
"forgeryCheck": [],
"id": "..id..",
"patronId": "..patronId.."
}Response Parameter
Parameter Name | Description |
|---|---|
accessToken | This is provided by identities API |
autoRecognition | Auto recognises text from upload image |
verification | verification is done |
forgeryCheck | Forgery check is done |
id | Unique user id |
patronId | Unique patron id |
Step 2: Hit Snoops API and receives a response
Sample cURL
In case of XML file password is not required.
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/snoops' \
--header 'Content-Type: application/json' \
--data-raw '{
"service": "Identity",
"itemId": " ",
"task": "ePan",
"accessToken": " ",
"essentials": {
"file":" ",
"password":" ",
"type" : "businessPan"
}
}'Input Parameters
Parameter Name | Required/Optional | Description |
|---|---|---|
Content-Type | Required | application/json |
service | Required | Type of Signzy service - “identity extraction” |
itemId | Required | Contains the identity item id |
accessToken | Required | This is provided by the identities API |
task | Required | This value always remains fixed for Aadhaar extraction API, it is always AutoRecognition |
essentials | Required | Contains the essential output data |
essentials.file | Required | Link of the EPAN file |
essential.password | Required | Password required to open the file |
essential.type | Required | Type of PAN - Bussiness or individual |
Sample API Response
{
"service": "Identity",
"itemId": " ",
"task": "ePan",
"essentials": {
"file": " ",
"password": "12101994",
"type": "businessPan",
"instance": {}
},
"accessToken": " ",
"id": " ",
"response": {
"result": {
"name": " ",
"fatherName": " ",
"dob": "12/10/1994",
"number": " ",
"gender": "MALE",
"timestamp": "12/02/2020 03:16:54",
"x509Data": {
"version": 2,
"subject": {
"countryName": "",
"organizationName": "",
"organizationalUnitName": "",
"postalCode": "",
"stateOrProvinceName": "",
"streetAddress": "MUMBAI",
"houseIdentifier": "",
"commonName": "DS NSDL E-GOVERNANCE INFRASTRUCTURE LIMITED 4"
},
"issuer": {
"countryName": "",
"organizationName": "",
"organizationalUnitName": "",
"commonName": ""
},
"serial": "",
"notBefore": "",
"notAfter": "",
"subjectHash": "",
"signatureAlgorithm": "sha256WithRSAEncryption",
"fingerPrint": "",
"publicKey": {
"algorithm": "sha256WithRSAEncryption"
},
"altNames": [],
"extensions": {
"authorityKeyIdentifier": "",
"subjectKeyIdentifier": "",
"basicConstraints": "",
"keyUsage": "",
"subjectAlternativeName": "",
"extendedKeyUsage": "",
"certificatePolicies": "",
"authorityInformationAccess": "",
"cRLDistributionPoints": ""
}
},
"isValidEPANDSC": true,
"photo": " "
}
}
}
Output Parameters
Parameter Name | Description |
|---|---|
service | Type of Signzy service - “identity extraction” |
itemId | Contains the identity item id |
task | The type of task performed - “Auto Recognition” |
essentials | Contains the essential output data |
essentials.accessToken | Contains the access token that was received from identity request |
essentials.Id | Contains the unique Id of the snoop request |
response | Contains the actual response |
result.name | Name of the PAN holder |
result.fatherName | Fathers name (only for individual PAN) |
result.dob | Date of birth |
result.number | PAN number |
result.gender | Gender (applicable only for indivudal PAN) |
result.timestamp | Timestamp |
result.x509Data | x509 Data |
result.isValidEPANDSC | Is it a valid EPAN (true/false) |
result.photo | Cropped Photo (applicable only for indivudal PAN) |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].